# Get SRR by Collection contract address and Token Id

<mark style="color:blue;">`GET`</mark> `<base_url>/port/api/v1/collection/{collectionContractAddress}/srr/{tokenId}`

Please replace `<base_url>` as explained [here](/readme/url-per-environment.md).

{% hint style="info" %}
**Recommended: query the subgraph directly**

This endpoint proxies a single SRR record from the [Startrail subgraph](/subgraph/subgraph.md). For most use cases — and especially when you need richer filtering, batching, or low latency — query the subgraph directly. The endpoint does **not** include the metadata JSON; fetch it from the [Startrail IPFS CDN gateway](/subgraph/ipfs-cdn-gateway.md) at `https://cdn.startrail.io/ipfs/<metadataDigest>`.
{% endhint %}

#### Path Parameters

| Name                                      | Type   | Description                                                                |
| ----------------------------------------- | ------ | -------------------------------------------------------------------------- |
| tokenId<mark style="color:red;">\*</mark> | string | TokenId of SRR. Example: 59531933                                          |
| collectionContractAddress                 | string | Ethereum address:, for example: 0xb3c438dCe59d2A1b6994E437d879ae00f24F2d34 |

{% tabs %}
{% tab title="200: OK " %}
Single SRR record sourced from the subgraph (without the IPFS-resident `metadata` JSON, `customHistories` or aggregated `transfers`). See [Description of SRR Data](/get-srr-api/description-of-srr-data.md) for the field reference.
{% endtab %}

{% tab title="404: Not Found" %}
The collection/tokenId pair is not present in the subgraph.
{% endtab %}
{% endtabs %}

## Swagger Endpoint (Test Environment)

[Swagger to test](https://api-stg.startrail.startbahn.jp/port/api#/public/SRRCollectionPublicController_getSRRByCollectionAndTokenId).

## No Permission is required

This endpoint is public and the information is also public.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.startrail.io/get-srr-api/get-srr-by-token-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
